commit:     799cc3acdcd3c0841d5e8e6c1734222b2dd376d0
Author:     Dirkjan Ochtman <djc <AT> gentoo <DOT> org>
AuthorDate: Sun Jan  8 08:23:19 2017 +0000
Commit:     Dirkjan Ochtman <djc <AT> gentoo <DOT> org>
CommitDate: Sun Jan  8 08:24:05 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=799cc3ac

dev-python/jinja: version bump to 2.9.2

Contains some files with Python 3.5+-only syntax. These will show some
SyntaxErrors while installing on older Pythons. However, installation will
complete successfully, and there does not appear to be a straightforward
workaround. Upstream decided to leave it as is.

https://github.com/pallets/jinja/issues/643

Package-Manager: portage-2.3.0

 dev-python/jinja/Manifest           |  1 +
 dev-python/jinja/jinja-2.9.2.ebuild | 74 +++++++++++++++++++++++++++++++++++++
 2 files changed, 75 insertions(+)

diff --git a/dev-python/jinja/Manifest b/dev-python/jinja/Manifest
index ba01da4..a1d1f76 100644
--- a/dev-python/jinja/Manifest
+++ b/dev-python/jinja/Manifest
@@ -1,3 +1,4 @@
 DIST Jinja2-2.7.3.tar.gz 378470 SHA256 
2e24ac5d004db5714976a04ac0e80c6df6e47e98c354cb2c0d82f8879d4f8fdb SHA512 
2810db2b52fe800e2a4a47ea41a07f997b1647a2b7ad05fe564f9d554d6a402283c84c4e2491e5dad8d22acd83d3ca420f0983ed2effc732f6d79600a846071b
 WHIRLPOOL 
ece9b68dff414739103eac202b5903d96802939f5742a2bf3ff421d87ef49043ed9a4b2a3a6bf0c2f3d9be0d8295b73c47b253553731b44912cb58add8f233c0
 DIST Jinja2-2.8.1.tar.gz 358129 SHA256 
35341f3a97b46327b3ef1eb624aadea87a535b8f50863036e085e7c426ac5891 SHA512 
0a2e2aa94f5c2f04f79d59d34d5324d2a440385b71192e85e960c761b4a073400e4ab0458e57305650f696a474593d6fbf398fb1d9518be261bb2a5cb866e163
 WHIRLPOOL 
380636268f903d05afda9c41296986d1c83949dead6c78d3e3cb880137a6c6ec06f0e2297169fc0ea8fd1348c9928f5841d37f951dd941fe89a8ccc96080e191
 DIST Jinja2-2.8.tar.gz 357055 SHA256 
bc1ff2ff88dbfacefde4ddde471d1417d3b304e8df103a7a9437d47269201bf4 SHA512 
2e80d6d9ad10dafcce1e6dd24493f5dffc43a17f71a30a650415638e12d3a3891738ebacc569701129214026d062d91a2b10e4f7a2c7b85d801dde26ded1bebb
 WHIRLPOOL 
31adc38738848aa224cceb0d0afb2b85eb080d166ed84f145eb0576eeedfb91cf8d99d7c98b6a6cc6ab4fedf33fdbe3171c80fd559df48036a7441232702e749
+DIST Jinja2-2.9.2.tar.gz 368290 SHA256 
2333eae399fb538f934d661f7debab8a9736002c343c8e95c56f1e413076c0ce SHA512 
989b9a0c8975916a98f5caaa85e4d18dad751d3373b9a1e7539740d456438aa9d2f1ffcd81b20c0a262da6579b4b4a9228969c8a7dc42c8959bd887ba4c59766
 WHIRLPOOL 
debe3027a5a9ac108344bd591ec4d37d1957bc05a4bc6edc7c3d24420f1828dba1ad769babc1cad8ccde407637dc3ea1cb3e05950f183aab1a347ff46c8cf33a

diff --git a/dev-python/jinja/jinja-2.9.2.ebuild 
b/dev-python/jinja/jinja-2.9.2.ebuild
new file mode 100644
index 00000000..2517c5c
--- /dev/null
+++ b/dev-python/jinja/jinja-2.9.2.ebuild
@@ -0,0 +1,74 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 python3_{4,5} pypy pypy3 )
+PYTHON_REQ_USE="threads(+)"
+
+inherit eutils distutils-r1
+
+MY_PN=Jinja2
+MY_P=${MY_PN}-${PV}
+
+DESCRIPTION="A full-featured template engine for Python"
+HOMEPAGE="http://jinja.pocoo.org/ https://pypi.python.org/pypi/Jinja2";
+SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh 
~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~x86-interix ~amd64-linux ~x86-linux 
~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris"
+IUSE="doc examples"
+
+RDEPEND="
+       dev-python/markupsafe[${PYTHON_USEDEP}]
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       !dev-python/jinja:compat"
+DEPEND="${RDEPEND}
+       doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )"
+
+# XXX: handle Babel better?
+
+S=${WORKDIR}/${MY_P}
+
+wrap_opts() {
+       local mydistutilsargs=()
+
+       if [[ ${EPYTHON} == python* ]]; then
+               mydistutilargs+=( --with-debugsupport )
+       fi
+
+       "${@}"
+}
+
+python_compile() {
+       wrap_opts distutils-r1_python_compile
+       if [[ ${EPYTHON} == python3.2 ]]; then
+               2to3 --no-diffs -n -w -f unicode "${BUILD_DIR}/lib" || die
+       fi
+}
+
+python_compile_all() {
+       use doc && emake -C docs html
+}
+
+python_test() {
+       esetup.py test
+}
+
+python_install_all() {
+       use doc && local HTML_DOCS=( docs/_build/html/. )
+       use examples && local EXAMPLES=( examples/. )
+
+       distutils-r1_python_install_all
+
+       insinto /usr/share/vim/vimfiles/syntax
+       doins ext/Vim/*
+}
+
+pkg_postinst() {
+       if ! has_version dev-python/Babel; then
+               elog "For i18n support, please emerge dev-python/Babel."
+       fi
+}

Reply via email to